DRM_ATOMIC_STATE_CLE(9)

NAME
drm_atomic_state_clear - clear state object

SYNOPSIS

void drm_atomic_state_clear(struct drm_atomic_state * state);

ARGUMENTS

state
    atomic state

DESCRIPTION

When the w/w mutex algorithm detects a deadlock we need to back off and drop all locks. So someone else could sneak in and change the current modeset configuration. Which means that all the state assembled in state is no longer an atomic update to the current state, but to some arbitrary earlier state. Which could break assumptions the driver's ->atomic_check likely relies on.

Hence we must clear all cached state and completely start over, using this function.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT